%define		_requires_exceptions pear(PHPUnit/Framework.php)
%define		_class		Math
%define		_subclass	Stats
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	0.9.1
Release:	%mkrel 3
Summary:	Classes to calculate statistical parameters
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Math_Stats/
Source0: 	http://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
BuildArch:	noarch

%description
Package to calculate statistical parameters of numerical arrays
of data. The data can be in a simple numerical array, or in a 
cummulative numerical array. A cummulative array, has the value
as the index and the number of repeats as the value for the
array item, e.g. $data = array(3=>4, 2.3=>5, 1.25=>6, 0.5=>3).
Nulls can be rejected, ignored or handled as zero values.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Math_Stats.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Math_Stats.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Math_Stats
fi

%files
%doc docs/Math_Stats/*
%{peardir}/*
%{xmldir}/Math_Stats.xml


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.9.1-3.mga4
+ Revision: 528136
- Mageia 4 Mass Rebuild

* Sat Jun 15 2013 spuhler <spuhler> 0.9.1-2.mga4
+ Revision: 443512
- added %%define _requires_exceptions pear(PHPUnit/Framework.php)

* Sat Jun 15 2013 spuhler <spuhler> 0.9.1-1.mga4
+ Revision: 443494
- upgrade to version 0.9.1
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 0.9.0-14.mga3
+ Revision: 376911
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 0.9.0-13.mga1
+ Revision: 43515
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Math_Stats


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-13mdv2011.0
+ Revision: 613717
- the mass rebuild of 2010.1 packages

* Sat Dec 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.0-12mdv2010.1
+ Revision: 477968
- don't ship tests and examples in pear tree

* Wed Nov 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.0-11mdv2010.1
+ Revision: 470161
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.9.0-10mdv2010.0
+ Revision: 441347
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-9mdv2009.1
+ Revision: 322368
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-8mdv2009.0
+ Revision: 236970
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-7mdv2007.0
+ Revision: 82201
- Import php-pear-Math_Stats

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-1mdk
- initial Mandriva package (PLD import)

